Package org.eclipse.emf.cdo.expressions

## Interface EvaluationContext

- All Known Implementing Classes:
    `EvaluationContextImpl`

      public interface EvaluationContext

  A context for variable `lookups` during expression evaluations.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `get​(java.lang.Object name)` |
    `java.lang.Class<?>` | `getClass​(java.lang.String name)` |

- - ### Method Detail

    - #### getClass

          java.lang.Class<?> getClass​(java.lang.String name)

    - #### get

          java.lang.Object get​(java.lang.Object name)